from .connector import Connector
from .s3_storage_gateway import S3StorageGateway
from globus.manager.constants import ConfigurationObjectTag


class ActiveScaleStorageGateway(S3StorageGateway):
    CONNECTOR_ID = "7251f6c8-93c9-11eb-95ba-12704e0d6a4d"
    POLICY_DATA_TYPE = "s3_storage_policies#1.0.0"
    CONNECTOR_POLICIES = {
        "s3_storage_policies#1.0.0": [
            "s3_endpoint",
            "s3_buckets",
            "s3_user_credential_required",
        ],
    }

    __mapper_args__ = {
        "polymorphic_identity": (
            ConfigurationObjectTag.STORAGE_GATEWAY.name + CONNECTOR_ID
        )
    }

    connector = Connector(id=CONNECTOR_ID, display_name="ActiveScale")

    def __repr__(self):
        return "<ActiveScaleStorageGateway {}>".format(self.id)
