import marshmallow as ma
from .data_type import DataTypeField, DataTypeSchema


class Account(ma.Schema):
    "User account information for a particular Storage Gateway."
    _DATA_TYPE = "account#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)
    username = ma.fields.String(description="Connector-specific local username")
    storage_gateway_id = ma.fields.UUID(
        description="Storage Gateway for which this account is valid."
    )
    identity_id = ma.fields.UUID(
        description="Globus Auth identity which maps to this account"
    )


account_schema = Account()

DataTypeSchema.register_schema(account_schema)
