import marshmallow as ma
from .data_type import DataTypeField, data_type_schema


class Batch(ma.Schema):
    """
    The Batch data type is used to specify multiple objects to operate
    on via a single REST API call.
    """

    _DATA_TYPE = "batch#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)

    ids = ma.fields.List(
        ma.fields.UUID,
        validate=ma.validate.Length(max=50),
        description="List of object IDs to operate on",
    )


batch_schema = Batch()
data_type_schema.register_schema(batch_schema)
