import marshmallow as ma

from .data_type import DataTypeField, DataTypeSchema


class IdNotInIdentitySet(ma.Schema):
    """
    Error details when a user has authenticated but has requested to act as an
    identity not in the current identity set.
    """

    _DATA_TYPE = "id_not_in_identity_set#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)
    id = ma.fields.UUID(description="Requested identity ID")


id_not_in_identity_set_schema = IdNotInIdentitySet()
DataTypeSchema.register_schema(id_not_in_identity_set_schema)
