import marshmallow as ma
from .data_type import DataTypeField, DataTypeSchema


class NotFromAllowedDomain(ma.Schema):
    """
    Error details when a user has authenticated but does not
    have an identity from the required domain to perform the
    requested action.
    """

    _DATA_TYPE = "not_from_allowed_domain#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)
    allowed_domains = ma.fields.List(
        ma.fields.String,
        description="List of domains allowed by this resource",
    )


not_from_allowed_domain_schema = NotFromAllowedDomain()
DataTypeSchema.register_schema(not_from_allowed_domain_schema)
