import marshmallow as ma

from .data_type import DataTypeField, DataTypeSchema


class ResourceConflict(ma.Schema):
    """
    Error details when the caller has attempted to update an object that
    results in a conflict with some other object.
    """

    _DATA_TYPE = "resource_conflict#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)
    resources = ma.fields.List(
        ma.fields.UUID,
        description="""
        List of other resources which conflict with this proposed change.
        """,
    )


resource_conflict_schema = ResourceConflict()
DataTypeSchema.register_schema(resource_conflict_schema)
