import marshmallow as ma
from ..api.data_type import DataTypeField, DataTypeSchema


class GridFTPLogin(ma.Schema):
    """
    GridFTP Login Information
    """

    metadata = {"x-private": True}
    _DATA_TYPE = "gridftp_login#1.0.0"
    DATA_TYPE = DataTypeField(_DATA_TYPE)
    identity_ids = ma.fields.List(
        ma.fields.UUID,
        description="""
        List of linked auth identities that transfer has presented to the
        GridFTP server.
        """,
    )


gridftp_login_schema = GridFTPLogin()
DataTypeSchema.register_schema(gridftp_login_schema)
