import marshmallow as ma
from ..enum_field import EnumField

from globus.manager.constants import PrincipalType


class RoleSchema(ma.Schema):
    _DATA_TYPE = "role"
    DATA_TYPE = ma.fields.Str(
        default=_DATA_TYPE, validate=[ma.validate.Equal(_DATA_TYPE)]
    )

    id = ma.fields.Str(load_only=True)

    principal_type = EnumField(PrincipalType)
    identity_id = ma.fields.UUID(data_key="principal")
    role_name = ma.fields.Str(
        data_key="role",
        validate=[
            ma.validate.OneOf(
                [
                    "administrator",
                    "access_manager",
                    "activity_manager",
                    "activity_monitor",
                ]
            )
        ],
    )


role_schema = RoleSchema()
