from gcs_cli.parsing.command_decorator import globus_command


@globus_command(
    name="delete",
    short_help="Delete an OIDC server from this endpoint",
    disable_options=["format", "explicit_host"],
    hidden=True,
    help="""\
The OIDC delete command deletes an OIDC server configuration or registration
from the endpoint.  The domain used by a managed OIDC server configuration can
not be reused.

== EXAMPLE

globus-connect-server oidc delete

""",
)
def oidc_delete() -> None:
    from .oidc_delete import oidc_delete as od

    od()
