from flask import current_app
from globus.manager.appsync.query import GraphQLError
from globus.manager.appsync.client import ConfigurationObjectTag


def load_keychain():
    """
    Configure keychain
    """
    current_app.logger.debug("Load_keychain: start")
    try:
        items = current_app.appsync_client.query_all(
            id=ConfigurationObjectTag.KEY_CHAIN.value
        )
        for item in items:
            current_app.appsync_client.process_item(item)
    except GraphQLError as e:
        current_app.logger.info(str(e))
    current_app.logger.debug("Load_keychain: end")


def get_endpoint_model():
    try:
        items = current_app.appsync_client.query_all(
            tag=ConfigurationObjectTag.ENDPOINT
        )
        if items:
            endpoint_model = current_app.appsync_client.process_item(items[0])
            if endpoint_model is None:
                raise Exception("Unable to retrieve the GCS endpoint configuration.")
            return endpoint_model
        else:
            raise Exception("Unable to retrieve the GCS endpoint configuration.")
    except GraphQLError as e:
        current_app.logger.info(str(e))
        raise Exception("Unable to retrieve the GCS endpoint configuration.")
