"""s3 and ceph

Revision ID: f96d758b4826
Revises: 590e1aea2221
Create Date: 2018-09-24 14:34:09.648077

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f96d758b4826'
down_revision = '590e1aea2221'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()

    # enable and update display name to 'S3'
    conn.execute("""
        UPDATE connector
        SET enabled = 1, display_name = 'S3'
        WHERE id = '7643e831-5f6c-4b47-a07f-8ee90f401d23'
        """)

    # enable and update display name to 'Ceph'
    conn.execute("""
        UPDATE connector
        SET enabled = 1, display_name = 'Ceph'
        WHERE id = '1b6374b0-f6a4-4cf7-a26f-f262d9c6ca72'
        """)


def downgrade():
    conn = op.get_bind()

    # disable and revert display name to 'AWS S3'
    conn.execute("""
        UPDATE connector
        SET enabled = 0, display_name = 'AWS S3'
        WHERE id = '7643e831-5f6c-4b47-a07f-8ee90f401d23'
        """)

    # disable and revert display name to 'Ceph S3'
    conn.execute("""
        UPDATE connector
        SET enabled = 0, display_name = 'Ceph S3'
        WHERE id = '1b6374b0-f6a4-4cf7-a26f-f262d9c6ca72'
        """)
